# @rxap/plugin-typedoc

[![npm version](https://img.shields.io/npm/v/@rxap/plugin-typedoc?style=flat-square)](https://www.npmjs.com/package/@rxap/plugin-typedoc)
[![commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg?style=flat-square)](https://commitizen.github.io/cz-cli/)
[![styled with prettier](https://img.shields.io/badge/styled_with-prettier-ff69b4.svg?style=flat-square)](https://github.com/prettier/prettier)
![Libraries.io dependency status for latest release, scoped npm package](https://img.shields.io/librariesio/release/npm/@rxap/plugin-typedoc)
![npm](https://img.shields.io/npm/dm/@rxap/plugin-typedoc)
![NPM](https://img.shields.io/npm/l/@rxap/plugin-typedoc)

- [Installation](#installation)
- [Generators](#generators)
- [Executors](#executors)

# Installation

**Add the package to your workspace:**
```bash
yarn add @rxap/plugin-typedoc
```
**Execute the init generator:**
```bash
yarn nx g @rxap/plugin-typedoc:init
```
# Generators

## init
> init generator

```bash
yarn nx g @rxap/plugin-typedoc:init
```

## init-library
> init-library generator

```bash
yarn nx g @rxap/plugin-typedoc:init-library
```

## init-application
> init-application generator

```bash
yarn nx g @rxap/plugin-typedoc:init-application
```

## init
> init generator

```bash
yarn nx g @rxap/plugin-typedoc:init
```

## init-library
> init-library generator

```bash
yarn nx g @rxap/plugin-typedoc:init-library
```

## init-application
> init-application generator

```bash
yarn nx g @rxap/plugin-typedoc:init-application
```
# Executors

## build
> build executor

**project.json**
```json
{
  "targets": {
    "build": {
      "executor": "@rxap/plugin-typedoc:build"
    }
  }
}
```

