"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initProject = initProject;
const tslib_1 = require("tslib");
const coerce_git_ignore_1 = require("../../lib/coerce-git-ignore");
const coerce_typedoc_target_1 = require("../../lib/coerce-typedoc-target");
function initProject(tree, projectName, project, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        console.log(`init typedoc application project: ${projectName}`);
        (0, coerce_typedoc_target_1.CoerceTypedocTarget)(tree, projectName, project);
        (0, coerce_git_ignore_1.CoerceGitIgnore)(tree, projectName);
    });
}
//# sourceMappingURL=init-project.js.map